--- title: "Create assignment" slug: "post-assignment" tags: ["Ncloud Single Sign-On"] updated: 2026-09-17T10:05:35Z published: 2026-09-17T10:05:35Z canonical: "api.ncloud-docs.com/post-assignment" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Create assignment Available in Classic and VPC Create assignments. Assignment is the connection between an SSO user and a permission set that defines the policies for an external account to use, and it refers to the range of permissions that an SSO user can perform on the NAVER Cloud Platform. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | POST | /api/v1/assignments | ### Request headers For information about the headers common to all Ncloud Single Sign-On APIs, see [Ncloud Single Sign-On request headers](/docs/en/single-sign-on-overview#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request body You can include the following data in the body of your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `assignmentName` | String | Required | Assignment name - Enter 2-30 characters by combining English letters, numbers, and special characters "-" and "_". - It must start with an English letter or a number. - It can't be changed after creation. | | `accountMbrNo` | Number | Required | Account member ID (MemberNo) | | `permissionSetId` | String | Required | Permission set ID | | `description` | String | Optional | Assignment description - 0-300 characters | | `consoleAccessAllowed` | Boolean | Required | Whether to allow console access - `true` \| `false` - `true`: Allow - `false`: Not allow | | `apiAccessAllowed` | Boolean | Required | Whether to allow API Gateway access - `true` \| `false` - `true`: Allow - `false`: Not allow | | `tags` | Object | Optional | Policy's tag - Up to 20 per resource. - Enter in the `{tagKey}:{tagValue}` format. - tagKey: Enter up to 128 characters by combining English letters, numbers, and special characters "*", ".", "/", "=", "+", "-", and "@".* - *tagValue: Enter up to 256 characters by combining English letters, numbers, and special characters "*", ".", "/", "=", "+", "-", and "@". | ### Request example The request example is as follows: ``` curl --location --request POST 'https://sso.apigw.ntruss.com/api/v1/assignments' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --data '{ "assignmentName": "assignment000", "accountMbrNo": *******, "permissionSetId": "3fcd3c17-****-****-****-2a594248bf28", "description": "assignment description", "consoleAccessAllowed": true, "apiAccessAllowed": true, "tags": { "tagKey1": "tagValue1", "team": "a" } }' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `id` | String | - | Assignment ID | | `success` | Boolean | - | API processing result | ### Response status codes For information about the HTTP status codes common to all Ncloud Single Sign-On APIs, see [Ncloud Single Sign-On response status codes](/docs/en/single-sign-on-overview#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "id": "e1653f17-****-****-****-deb664fb8a2f", "success": true } ```